# nng_stat_desc(3) Manual Page

## NAME

nng_stat_desc - get statistic description

## SYNOPSIS

    #include <nng/nng.h>

    typedef struct nng_stat nng_stat;

    const char *nng_stat_desc(nng_stat *stat);

## DESCRIPTION

The `nng_stat_desc()` function returns a brief, human-readable description for the statistic stat.

| This description can be used for a tool-tip in user interfaces displaying these statistic values.

| At this time, only English descriptions are provided.

## RETURN VALUES

The description of statistic stat.

## ERRORS

None.

## SEE ALSO

libnng(3), nng_stats_name(3), nng_stats_get(3), nng_stat(5), nng(7)